Bug 742698 - Be able to show the operation's result page after schedule it.
Be able to show the operation's result page after schedule it.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
medium Severity low (vote)
: ---
: ---
Assigned To: John Sanda
Mike Foley
: FutureFeature
Depends On:
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2011-10-01 14:13 EDT by Rafael Soares (Tuelho)
Modified: 2013-09-02 03:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:26:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhq operation page screenshot (62.50 KB, image/png)
2011-10-01 14:13 EDT, Rafael Soares (Tuelho)
no flags Details
rhq operation summary page screenshot (105.97 KB, image/png)
2011-10-01 14:14 EDT, Rafael Soares (Tuelho)
no flags Details

  None (edit)
Description Rafael Soares (Tuelho) 2011-10-01 14:13:11 EDT
Created attachment 525880 [details]
rhq operation page screenshot

Description of problem:
Today when you immediately schedule an operation the page shows nothing.

Version-Release number of selected component (if applicable):
RHQ 4.1.0

How reproducible:
Schedule a resource operation and click the schedule button.


Steps to Reproduce:
1.
2.
3.
  
Actual results:
After you click Schedule button the UI remains on Schedule view saying 'No items to show' (see Screenshot-rhq-operation-page.png). This is confused.   

Expected results:
Would be better the UI show the result/summary of the operation scheduled (see Screenshot-rhq-last-operation-result.png).


Additional info:
Comment 1 Rafael Soares (Tuelho) 2011-10-01 14:14:00 EDT
Created attachment 525881 [details]
rhq operation summary page screenshot
Comment 2 John Sanda 2012-02-03 10:54:13 EST
Changes have been made such that when you schedule an operation for immediate execution, you are sent to the history page to view the status/result of the operation. This change applies both at the resource and group level.

commit hash: b340d788cb663411d93bd3116acf52d4512f26b7
Comment 3 John Sanda 2012-02-17 11:55:44 EST
This commit has been merged into master.
Comment 4 John Sanda 2012-02-17 14:29:31 EST
I am moving this back to ON_DEV. The navigation gets all screwed up if you schedule an operation for immediate execution from the context menu. The URL says you are on the history page, but the view does not change. And if you click on the History sub tab, the view is empty, even after a page refresh. I was only able to view the history of scheduled operations after going to a different top-level tab (e.g., Monitoring), coming back, and then doing  a page refresh. I only experience this regression when scheduling the operation for immediate execution. It behaves as expected when scheduling for future execution.
Comment 5 John Sanda 2012-02-17 15:25:44 EST
I've fixed the navigation issue when scheduling an operation for immediate execution from the context menu.

master commit hash: 53d76b205bf99634b12af099e5dedea47929fe05
Comment 6 Sunil Kondkar 2012-04-11 07:06:47 EDT
Verified on build#1303 (Version: 4.4.0-SNAPSHOT Build Number: 74326f0)

After scheduling an operation, it navigates to History page displaying the status.
Verified on resource/group operations and also verified scheduling an operation for immediate execution from the context menu.
Comment 7 Heiko W. Rupp 2013-09-02 03:26:30 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.